#!/usr/bin/env python
# -*- coding: UTF-8 -*-
import os
import sys

# add lib path
playbook_file = os.path.realpath(sys.argv[0])
playbook_path = os.path.split(playbook_file)[0]

lib_path = os.path.join(playbook_path, 'library')
if os.path.exists(lib_path) is True:
    sys.path.insert(0, lib_path)
    lib_path = os.path.join(lib_path, 'securecat')
    if os.path.exists(lib_path) is True:
        sys.path.insert(0, lib_path)
        modulepath = os.environ.get('CSC_MODULE_PATH')
        if modulepath is None:
            os.environ['CSC_MODULE_PATH'] = lib_path

from utils import playbook


class MyPlaybook(playbook.Playbook):
    def set_extra_vars_pre(self):
        pass

    def set_extra_vars_post(self):
        pass

    def get_tasks(self, dir):
        ret = []
        ret.append([dir, 't_1_1.py'])
        ret.append([dir, 't_1_2.py'])
        ret.append([dir, 't_1_3.py'])
        ret.append([dir, 't_1_7.py'])
        ret.append([dir, 't_1_8.py'])
        ret.append([dir, 't_1_9.py'])
        ret.append([dir, 't_1_10.py'])
        ret.append([dir, 't_1_11.py'])
        ret.append([dir, 't_1_12.py'])
        ret.append([dir, 't_1_13.py'])
        ret.append([dir, 't_2_8.py'])
        ret.append([dir, 't_4_1.py'])
        ret.append([dir, 't_4_3.py'])
        ret.append([dir, 't_4_4.py'])
        ret.append([dir, 't_4_5.py'])
        ret.append([dir, 't_4_6.py'])
        ret.append([dir, 't_4_17.py'])
        ret.append([dir, 't_5_10.py'])
        ret.append([dir, 't_5_11.py'])
        ret.append([dir, 't_5_12.py'])
        ret.append([dir, 't_6_5.py'])
        ret.append([dir, 't_8_1.py'])
        ret.append([dir, 't_8_6.py'])
        ret.append([dir, 't_8_7.py'])
        ret.append([dir, 't_8_8.py'])
        ret.append([dir, 't_8_11.py'])
        ret.append([dir, 't_8_12.py'])
        ret.append([dir, 't_8_13.py'])
        ret.append([dir, 't_8_14.py'])
        ret.append([dir, 't_8_15.py'])
        ret.append([dir, 't_8_16.py'])
        ret.append([dir, 't_8_17.py'])
        ret.append([dir, 't_8_18.py'])
        ret.append([dir, 't_8_19.py'])
        ret.append([dir, 't_8_20.py'])
        ret.append([dir, 't_8_21.py'])
        ret.append([dir, 't_8_22.py'])
        ret.append([dir, 't_8_23.py'])
        ret.append([dir, 't_8_24.py'])
        ret.append([dir, 't_8_25.py'])
        ret.append([dir, 't_8_26.py'])
        ret.append([dir, 't_8_27.py'])
        ret.append([dir, 't_8_28.py'])
        return ret


if __name__ == '__main__':
    myplaybook = MyPlaybook()
    myplaybook.set_role('gp')
    myplaybook.run()
